Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class Blank

    java.lang.Object
      Biff
          jet.report.xls.Blank

Direct Known Subclasses:
  BLabel, BNumber, BoolErr, Formula

    public class Blank

extends Biff

Specifies a blank cell.

Constructor Summary
`Blank(int row, int col, int ixfe)` Constructs a `Blank` object.

Method Summary
`int` | `getCol()` Gets the column of the cell.
`int` | `getIxfe()` Gets the Xf index of the cell.
`int` | `getRow()` Gets the row of the cell.
`void` | `input(util.RandomAccessStream stream)` Inputs blank from input stream.
`int` | `opcode()` Gets the opcode of the Blank object.
`int` | `output(util.RandomAccessStream stream)` Outputs the class Blank.
`void` | `setCol(int col)` Sets the column of the cell .
`void` | `setIxfe(int index)` Sets the Xf index of the cell.
`void` | `setRow(int row)` Sets the row of the cell.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Blank

    public Blank(int row,
                 int col,
                 int ixfe)

  Constructs a `Blank` object.

  Parameters:
    `row` - the row number to locate the Blank(based 0) object
    `col` - the column number to locate the Blank(based 0) object
    `ixfe` - index to the `Xf` record, which you can get by `GlobalWorksheet.getXfIndex(Xf)`

Method Detail

### opcode

    public int opcode()

  Gets the opcode of the Blank object.

### setRow

    public void setRow(int row)

  Sets the row of the cell.

  Parameters:
    `row` - the row index, which is based on zero

### getRow

    public int getRow()

  Gets the row of the cell.

  Returns:
    the row index based on zero

### setCol

    public void setCol(int col)

  Sets the column of the cell .

  Parameters:
    `col` - the column index, which is based on zero

### getCol

    public int getCol()

  Gets the column of the cell.

  Returns:
    the column index based on zero

### setIxfe

    public void setIxfe(int index)

  Sets the Xf index of the cell.

  Parameters:
    `index` - the `Xf` index, which you can get by `GlobalWorksheet.getXfIndex(Xf)`

### getIxfe

    public int getIxfe()

  Gets the Xf index of the cell.

  Returns:
    the `Xf` index

### output

    public int output(util.RandomAccessStream stream)
               throws java.io.IOException

  Outputs the class Blank.

  Throws:
    `java.io.IOException`

### input

    public void input(util.RandomAccessStream stream)
               throws java.io.IOException

  Inputs blank from input stream.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD